// fs = FileSystem Modul aus der Node Standardbib
// const fs = require('fs'); // commonjs - Node Schreibweise
// const chalk = require('chalk');
import fs from 'fs'; // module - ESM Schreibweise
import chalk from 'chalk';

// Funktion mir einem asynchronen Prozess
const getContentBy = (path) => {
  return new Promise((resolve, reject) => {
    // asynchroner Prozess
    fs.readFile(path, 'utf-8', (err, data) => {
      if (err) {
        // console.error(err);
        reject(err);
      }
      // console.log(data);
      resolve(data);
    });
  });
};

// Funktionsaufruf einer Funktion mit asynchronen Prozess
getContentBy('data/products.csv')
  .then((data) => {
    console.log(chalk.yellow(data));
  })
  .catch((err) => {
    console.error(chalk.red(err));
  });

console.log('weiter im code...');
